org.eclipse.incquery.runtime.matchers.planning.operations

## Class PProject

- java.lang.Object
- - org.eclipse.incquery.runtime.matchers.planning.operations.POperation
  - - org.eclipse.incquery.runtime.matchers.planning.operations.PProject

-     public class PProject
      extends POperation

  Represents a projection of a single parent SubPlan onto a limited set of variables.

  May optionally prescribe an ordering of variables (List, as opposed to Set).

  Author:
    Bergmann Gabor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PProject(java.util.List<PVariable> toVariables)`
    `PProject(java.util.Set<PVariable> toVariables)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkConsistency(SubPlan subPlan)` Checks whether this constraint can be properly applied at the given SubPlan.
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Set<? extends PConstraint>` | `getDeltaConstraints()` Newly enforced constraints
    `java.lang.String` | `getShortName()`
    `java.util.Collection<PVariable>` | `getToVariables()`
    `int` | `hashCode()`
    `boolean` | `isOrdered()`
    `int` | `numParentSubPlans()`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.planning.operations.POperation

      `toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PProject

          public PProject(java.util.Set<PVariable> toVariables)

    - #### PProject

          public PProject(java.util.List<PVariable> toVariables)

  - ### Method Detail

    - #### getToVariables

          public java.util.Collection<PVariable> getToVariables()

    - #### isOrdered

          public boolean isOrdered()

    - #### getDeltaConstraints

          public java.util.Set<? extends PConstraint> getDeltaConstraints()

      Description copied from class: `POperation`
      Newly enforced constraints
      Specified by:
        `getDeltaConstraints` in class `POperation`

    - #### numParentSubPlans

          public int numParentSubPlans()

      Specified by:
        `numParentSubPlans` in class `POperation`
      Returns:
        the number of SubPlans that must be specified as parents

    - #### checkConsistency

          public void checkConsistency(SubPlan subPlan)

      Description copied from class: `POperation`
      Checks whether this constraint can be properly applied at the given SubPlan.
      Overrides:
        `checkConsistency` in class `POperation`

    - #### getShortName

          public java.lang.String getShortName()

      Specified by:
        `getShortName` in class `POperation`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`